
///////////////////////////////////////////////////////////////////////////////  
//文件名称: WinInsuerBaseInfo.xaml
//文件描述: 保险商基本信息
//创 建 者: xls
//创建日期: 2018/5/24 21:41:29
//版 本 号：1.0.0.0
////////////////////////////////////////////////////////////////////////////////

using System;
using System.Windows;
using FWindSoft.Wpf;
using FWindSoft.Wpf.Controls;

namespace Com.FirmLib.UI.Insuer
{
    /// <summary>
    /// WinInsuerBaseInfo.xaml 的交互逻辑
    /// </summary>
    public partial class WinInsuerBaseInfo : NChildWindow
    {
        private VmInsuerBaseInfo m_Vm;
        public WinInsuerBaseInfo():this(new VmInsuerBaseInfo())
        {
           
        }
        public WinInsuerBaseInfo(VmInsuerBaseInfo vm)
        {
            InitializeComponent();
            this.m_Vm = vm;
            this.m_Vm.SetRefView(this);
            this.DataContext = this.m_Vm;
            this.EveryTimeLoad = true;
        }
        protected override void LoadData(LoadParameter parameter)
        {
            //初始化列表数据
            TryCatchWrapper.Handled(() => this.m_Vm.Init(parameter));
        }
        #region 界面关联事件
        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                if (this.HasError())
                {
                    //MessageShow.Infomation("请修改错误输入项");
                    return;
                }
                //if (Execute())
                //{
                //    MessageShow.Infomation("");
                //    DialogResult = true;
                //}
            }
            catch (Exception ex)
            {
                //MessageShow.Show(ex);
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
        #endregion
    }
}
